Bug 176949 - shadow-utils-debuginfo is empty
shadow-utils-debuginfo is empty
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
NdRvw
:
Depends On:
Blocks: 190430 212183
  Show dependency treegraph
 
Reported: 2006-01-04 12:12 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0431
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shadow-4.0.3-no-strip.patch (357 bytes, patch)
2006-01-04 12:34 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-01-04 12:12:33 EST
$ rpm -q --qf "%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH}\n"  shadow-utils-debuginfo
shadow-utils-debuginfo-4.0.3-7-x86_64
$ rpm -ql shadow-utils-debuginfo
(contains no files)

And the binaries contained in shadow-utils are stripped:
/usr/bin/faillog: ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), for
GNU/Linux 2.4.0, dynamically linked (uses shared libs), stripped
Comment 1 Bastien Nocera 2006-01-04 12:19:19 EST
The problem doesn't exist on rawhide, but does on RHEL4 (see bug #176951).
Comment 2 Bastien Nocera 2006-01-04 12:34:58 EST
Created attachment 122768 [details]
shadow-4.0.3-no-strip.patch
Comment 4 Daniel Riek 2006-12-20 16:07:21 EST
Not on SEG priority list. Please review
Comment 10 Red Hat Bugzilla 2007-06-11 13:51:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0431.html

Note You need to log in before you can comment on or make changes to this bug.